Description

URLs in provisioning templates (PXE menus etc) currently use the setting foreman_url as a base.  It should be possible to override

this for systems in complex networks that may not have a consistent view of Foreman's hostname.

Possibly:

a parameter on the host or domain that overrides the hostname

an attribute on the subnet

Related to #1969 (overrides of puppetmaster hostname).

Related issues:

Related to Foreman - Feature #1969: Override hostname of puppetmaster instead... New 11/22/2012

Related to Smart Proxy - Feature #969: Direct Client->Foreman communication s... Closed 06/09/2011

Related to Foreman - Feature #1952: With DHCP integration, add an option to c... New 11/15/2012

Has duplicate Foreman - Feature #13683: [RFE] unattended_url needs to be a pe... Duplicate 02/12/2016

History

#1 - 11/22/2012 07:35 AM - Dominic Cleal

My use-case for this is a dual-homed Foreman install with different DNS domains on either side and currently no ability to resolve Foreman's

hostname with views.

#2 - 11/22/2012 08:46 AM - Ohad Levy

there is a foreman_url setting directive, that might work (but globally).

isn't a better solution would be to use dns aliases?

#3 - 11/22/2012 09:18 AM - Greg Sutcliffe

That works for most setups, but what about where you have no access to the DNS? Or where DNS is almost non-existant (think libvirt + dnsmasq) ?

#4 - 08/20/2013 01:32 PM - Ewoud Kohl van Wijngaarden

I think this could be solved by the template proxy feature (#969).

#5 - 08/20/2013 01:33 PM - Ewoud Kohl van Wijngaarden

Argh, that was already in the list of related features. I should read more.

#6 - 02/12/2016 05:38 AM - Dominic Cleal

- Has duplicate Feature #13683: [RFE] unattended_url needs to be a per-subnet setting added

#7 - 02/12/2016 07:36 AM - Duncan Innes

We are highly interested in a fix here.  We have pretty complex network structure where some areas are completely firewalled off from central

Foreman (Satellite6 in our case) server, but have access to local Capsule.  Some areas also lack DNS completely, so we need to be able to provide

IP Addresses for the installation up to the point where we can run a %pre script in kickstart to add some hard coded /etc/hosts entries.
#8 - 02/18/2016 11:51 AM - Bryan Kearney

- Bugzilla link set to 1307107

#9 - 11/30/2016 04:37 AM - Duncan Innes

Is there any way the linked Bugzilla can be opened up a bit?  Or some anonymised details copied in here so that progress can be viewed?  I have no

access to the view the Bugzilla.

#10 - 03/15/2017 07:36 AM - Tomáš Strachota

- Description updated

- Target version set to 115

#11 - 06/18/2018 07:18 AM - Lukas Zapletal

I have written an extensive post in https://bugzilla.redhat.com/show_bug.cgi?id=1307107 and made it public. Several workarounds are described

there.
